eclipse indigo版本连接oracle XE(图解)

简介:

讲在题前:

oracle 的各个版本对应的驱动名称:

oracle 不同版本的驱动,是对应不对的JDK版本的,

例如JDK是1.4的话,你需要的oracle的JDBC的驱动包名称为:

ojdbc14.jar ;

例如JDK是1.4的话,你需要的oracle的JDBC的驱动包名称为:

ojdbc5_g.jar ;

ojdbc14.jar

例如JDK是1.6的话,你需要的oracle的JDBC的驱动包名称为:

Oracle 11g 11.1.0.7.0 JDBC_ojdbc6.jar

 

以上针对的是oracle的标准版和企业版本的驱动包;

 

以下的是针对oracle的express Edtion版本的驱动包对应名称,

oracle XE版本,不同的JDK对应的是如下的驱动包:

1.4的JDBC对应的是

ojdbc4.jar

1.5的JDBC对应的是

ojdbc5.jar

1.6的JDBC对应的是

ojdbc6.jar或者ojdbc6_g.jar

******************************************************************************

1前提条件:客户端安装了ORACLE XE或者是oracle client,搜索安装目录,找到类似如下的目录:

QQ截图20120315234119

以上就找到了我们的oracle的JDBC驱动

2客户端eclipse操作,进入eclipse的操作“window--->show view--->Data Source Explorer”视图中,然后点击节点”Database Connections“右键选择”new“弹出如下的视图窗口:

1

3双击以上的列表中的“oracle”,弹出窗口如下:

2

4然后进行配置JDBC的驱动信息页面,如下配置:

3

在上图中的Name/Type页面中,选择其中的oracle thin Driver对应的版本,这里选择11g版本的,也就是上图所示;

在上图中的JAR List中,默认列出了标准版本oracle的驱动程序包,这个是也是eclipse自带的,但是却没有自带oracle xe版本的驱动,所以这里需要重新选择加载jar包,选择右面的“Add Jar/Zip…”,选择我们上文所有的oracle对应的JDBC的程序包,就是lib目录下的ojdbc6.jar即可。

在上图中的Properties页面中,配置如下的信息见图:

5

以上的信息也可以不配置,以后可以继续进行修改配置;

4完成了以上的操作后点击OK按钮,回到了如下的页面,就是在这里进行重新的修改相关的配置信息:

6

上面的参数设置我就不多说了,大家应该知道的。

5完成了以上的操作,恭喜你,现在基本上就已经完成了相关的连接操作,点击上图是的“test connection “测试一下是否连接成功,如果弹出了成功的提示就正常连接了。



本文转自hcy's workbench博客园博客,原文链接:http://www.cnblogs.com/alterhu/archive/2012/03/16/2399538.html,如需转载请自行联系原作者。
目录
相关文章
|
11天前
|
Oracle 关系型数据库 Java
百度搜索:蓝易云【Kettle连接失败Oracle时报错:Ora-12505】
根据以上步骤,排查并解决连接失败的问题,通常可以解决ORA-12505错误。
22 2
|
28天前
|
Oracle 关系型数据库 Linux
RHEL7.9系统下一键脚本安装Oracle 11gR2单机版本
RHEL7.9系统下一键脚本安装Oracle 11gR2单机版本
20 1
|
1月前
|
Java 关系型数据库 BI
基于Java Swing 开发的网吧管理系统【eclipse和idea两个版本运行源码】
基于Java Swing 开发的网吧管理系统【eclipse和idea两个版本运行源码】
|
2月前
|
SQL Oracle 关系型数据库
[已解决]使用sqlplus连接oracle,提示ORA-01034和ORA-27101
[已解决]使用sqlplus连接oracle,提示ORA-01034和ORA-27101
44 0
|
2月前
|
Oracle 小程序 关系型数据库
laravel5.8(十四)连接oracle数据库
首先确定你的PHP已经支持oracle数据库的链接。PHP需要安装OCI8扩展。 确定PHP可以链接ORACLE数据库之后。我们使用composer安装laravel支持oracle链接的插件 yajra/laravel-oci8 欢迎访问个人博客 guanchao.site 欢迎访问我的小程序:打开微信->发现->小程序->搜索“时间里的” 一:使用composer安装 yajra/laravel-oci8 1 :运行如下命令: bash 复制代码 composer require yajra/laravel-oci8 2 :安装过程中可能会报错,不要纠结那些报错,最简单的解决办法:
36 0
|
2月前
|
Oracle 关系型数据库 Python
python连接oracle12c
python连接oracle12c
27 0
|
3月前
|
Oracle 关系型数据库 数据库
Navicat连接Oracle报错:Oracle library is not loaded
Navicat连接Oracle报错:Oracle library is not loaded
|
3月前
|
Oracle 关系型数据库 数据库
Navicat连接Oracle数据库
Navicat连接Oracle数据库
|
3月前
|
Oracle 关系型数据库 Java
thin/oci两种方式连接Oracle数据库
thin/oci两种方式连接Oracle数据库
38 0
|
3月前
|
Java Android开发
Eclipse启动时指定jdk版本
Eclipse启动时指定jdk版本

推荐镜像

更多